clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::ClangdDiagnosticOptions Struct Reference

`#include <Diagnostics.h>`

Collaboration diagram for clang::clangd::ClangdDiagnosticOptions:
[legend]

## Public Attributes
bool | EmbedFixesInDiagnostics = false
| If true, Clangd uses an LSP extension to embed the fixes with the diagnostics that are sent to the client. More...
bool | SendDiagnosticCategory = false
| If true, Clangd uses an LSP extension to send the diagnostic's category to the client. More...

## Detailed Description

Definition at line 26 of file Diagnostics.h.

## Member Data Documentation

## ◆ EmbedFixesInDiagnostics

bool clang::clangd::ClangdDiagnosticOptions::EmbedFixesInDiagnostics = false

If true, Clangd uses an LSP extension to embed the fixes with the diagnostics that are sent to the client.

Definition at line 29 of file Diagnostics.h.

## ◆ SendDiagnosticCategory

bool clang::clangd::ClangdDiagnosticOptions::SendDiagnosticCategory = false

If true, Clangd uses an LSP extension to send the diagnostic's category to the client.

The category typically describes the compilation stage during which the issue was produced, e.g. "Semantic Issue" or "Parse Issue".

Definition at line 35 of file Diagnostics.h.

The documentation for this struct was generated from the following file:

- Diagnostics.h